Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
ECB_Mode_ExternalCipher Struct Reference

ECB mode, external cipher. More...

`#include <modes.h>`

Inheritance diagram for ECB_Mode_ExternalCipher:

List of all members.

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher < ECB_OneWay > | Encryption
| implements the SymmetricCipher interface
typedef Encryption | Decryption
| implements the SymmetricCipher interface

## Detailed Description

ECB mode, external cipher.

Definition at line 371 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h